Summary: Beat tracking of audio streams
Name: supercollider-bbcut2
Version: 2.1
Release: 2%{?dist}
License: GPL
Group: Applications/Multimedia
URL: http://www.cogs.susx.ac.uk/users/nc81/bbcut2.php
Source0:  http://www.cogs.susx.ac.uk/users/nc81/code/bbcut%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: supercollider
Packager: Fernando Lopez-Lezcano
Distribution: Planet CCRMA
Vendor: Planet CCRMA

BuildRequires: supercollider-devel

%define UGENS 0

%description
bbcut2 supports beat tracking of audio streams and the scheduling
follows induced clocks. There is an event analysis component which can
construct a database of tagged events in an audio stream on-the-fly or
as an NRT process. The algorithmic cutting is backwards compatible
with bbcut1, and there are lots of new cut FX and tricks to explore.

%prep
%setup -q -n bbcut2

%build
%if %{UGENS}
cd bbcut2\ source
for F in *.cpp ; do
    NAME=`basename ${F}`;
    g++ -shared -fPIC -o ${NAME}.so `pkg-config --cflags libscsynth` ${F};
done
%endif

%install
%{__rm} -rf %{buildroot}
%{__mkdir} -p %{buildroot}

%if %{UGENS}
# install the ugens
%{__mkdir} -p %{buildroot}%{_libdir}/SuperCollider/plugins
%{__install} -m 0755 bbcut2\ source/*.so %{buildroot}%{_libdir}/SuperCollider/plugins/
%endif

# install the supercollider classes
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Extensions/BBCut2
%{__cp} -pr bbcut2\ classes/* %{buildroot}%{_datadir}/SuperCollider/Extensions/BBCut2/

# install the help files
%{__mkdir} -p %{buildroot}%{_datadir}/SuperCollider/Help/BBCut2
%{__cp} -pr bbcut2\ help/* %{buildroot}%{_datadir}/SuperCollider/Help/BBCut2/

# erase classes that are now part of MLfftwUGens package
find %{buildroot}%{_datadir}/SuperCollider/Extensions/BBCut2 -name \*Analyse\* | xargs rm -rf
find %{buildroot}%{_datadir}/SuperCollider/Help/BBCut2 -name \*Analyse\* | xargs rm -rf
find %{buildroot}%{_datadir}/SuperCollider/Extensions/BBCut2 -name \*AutoTrack\* | xargs rm -rf
find %{buildroot}%{_datadir}/SuperCollider/Help/BBCut2 -name \*AutoTrack\* | xargs rm -rf

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%if %{UGENS}
%{_libdir}/SuperCollider/plugins/*
%endif
%{_datadir}/SuperCollider/Extensions/BBCut2
%{_datadir}/SuperCollider/Help/BBCut2

%changelog
* Tue Jul  7 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- create x86_64 packages

* Mon Nov 10 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2.1-2
- the AnalyseEvents2 and AutoTrack classes are now part of 
  supercollider-mlfftw-ugens package, so erase them from bbcut2

* Tue Mar  6 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> - 2.1-1
- initial build
- the UGens depends on vecLib.h which is not available on Linux, so
  don't build them for now
